Visual LISP, AutoLISP and General Customization
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Label only the Start and End Vertex of 3D Poly line

3 REPLIES 3
SOLVED
Reply
Message 1 of 4
karunakaran1991
669 Views, 3 Replies

Label only the Start and End Vertex of 3D Poly line

Hi

 

could any one help to find a solution?

 

I wanna label the start and end coordinates only for a 3D poly line using lisp. The 3D poly line have no of vertex points in it.

Tags (1)
3 REPLIES 3
Message 2 of 4

You can get the start and end points only with

 

(vl-load-com); if needed

(vlax-curve-getStartPoint YourPolylineEntityName)

(vlax-curve-getEndPoint YourPolylineEntityName)

 

Those will be point coordinate lists [lists of three real numbers for the XYZ coordinates].  You can convert those into Text in a variety of ways -- what did you have in mind?  And how would you want the labels positioned?  Something like middle-center-justified at the start/end vertex itself in 3D?  Or at a location to be specified by the User?

 

A sample drawing or image showing the result you're looking for would be helpful.

Kent Cooper, AIA
Message 3 of 4

Hi Cooper

 

Thanks for your precious time.

Message 4 of 4


@karunakaran1991 wrote:

Hi Cooper

 

Thanks for your precious time.


You're welcome.  For your information, that approach will find the start and end points of not just 3DPolylines, but also 2D "heavy" and Lightweight Polylines, Lines, Arcs, Circles, Ellipses, Splines, and maybe a couple of other things.  It can also be done in other ways without the (vlax-curve-...) functions and therefore without needing to do (vl-load-com), but it would be a different way for each of those entity types, and in the case of 2D "heavy" and 3DPolylines, rather more complicated.

Kent Cooper, AIA

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report

”Boost